CREATE TABLE loy_mem_tier_int (
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    INTERNAL_MEMBER_OVN      NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MEM_TIER_ID              NUMBER(18, 0) ,
    ACTIVE_FLAG              VARCHAR2(4)   ,
    APPLIED_PROMO_ID         NUMBER(18, 0) ,
    APPROVED_DT              DATE          ,
    APPR_STAT_CODE           VARCHAR2(120) ,
    BULK_REF_ID              NUMBER(18, 0) ,
    COMMENTS                 VARCHAR2(1000),
    END_DT                   TIMESTAMP(6)  ,
    FUTR_TIER_ID             NUMBER(18, 0) ,
    FUTR_TIER_NAME           VARCHAR2(120) ,
    FUTR_TIER_STAMP_DT       DATE          ,
    LWST_DEM_TIER_ID         NUMBER(18, 0) ,
    LWST_DEM_TIER_NAME       VARCHAR2(120) ,
    MEM_TIER_NUM             VARCHAR2(120) ,
    NEXT_ASSESS_DT           DATE          ,
    ORIG_END_DT              TIMESTAMP(6)  ,
    OVERRIDE_DT              DATE          ,
    POINT_TYPE_A_VAL         NUMBER        ,
    POINT_TYPE_B_VAL         NUMBER        ,
    POINT_TYPE_C_VAL         NUMBER        ,
    POINT_TYPE_D_VAL         NUMBER        ,
    POINT_TYPE_E_VAL         NUMBER        ,
    POINT_TYPE_F_VAL         NUMBER        ,
    POINT_TYPE_G_VAL         NUMBER        ,
    POINT_TYPE_H_VAL         NUMBER        ,
    PROCESSED_DT             DATE          ,
    PROCESSING_COMMENT       VARCHAR2(4000),
    PROCESSING_LOG           VARCHAR2(4000),
    PROCESSING_STAT_CODE     VARCHAR2(120) ,
    QUAL_START_DATE          TIMESTAMP(6)  ,
    QUAL_END_DATE            TIMESTAMP(6)  ,
    QUAL_FLAG                VARCHAR2(4)   ,
    SEQ_NUM                  NUMBER(9, 0)  ,
    START_DT                 TIMESTAMP(6)  ,
    SUBMIT_TO_ID             NUMBER(18, 0) ,
    TIER_CLASS_ID            NUMBER(18, 0) ,
    TIER_CLS_NAME            VARCHAR2(120) ,
    TIER_ID                  NUMBER(18, 0) ,
    TIER_NAME                VARCHAR2(120) ,
    TXN_ID                   NUMBER(18, 0) ,
    TXN_NUM                  VARCHAR2(120) ,
    ACTION_NOTE              VARCHAR2(4000),
    FROM_TIER_ID             NUMBER(18, 0) ,
    FROM_TIER_NAME           VARCHAR2(120) ,
    FROM_TIER_START_DATE     DATE          ,
    TIER_CHANGE_TYPE_CODE    VARCHAR2(120) ,
    MEMBER_ID                NUMBER(18, 0) ,
    MEM_NUM                  VARCHAR2(120) ,
    PROGRAM_NAME             VARCHAR2(200) ,
    PROMO_NAME               VARCHAR2(200) ,
    BLKAD_SEQ_NUM            NUMBER        ,
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    INTERNAL_MEMBER_OVN      NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MEM_TIER_ID              NUMBER(18, 0) ,
    ACTIVE_FLAG              VARCHAR2(4)   ,
    APPLIED_PROMO_ID         NUMBER(18, 0) ,
    APPROVED_DT              DATE          ,
    APPR_STAT_CODE           VARCHAR2(120) ,
    BULK_REF_ID              NUMBER(18, 0) ,
    COMMENTS                 VARCHAR2(1000),
    END_DT                   TIMESTAMP(6)  ,
    FUTR_TIER_ID             NUMBER(18, 0) ,
    FUTR_TIER_NAME           VARCHAR2(120) ,
    FUTR_TIER_STAMP_DT       DATE          ,
    LWST_DEM_TIER_ID         NUMBER(18, 0) ,
    LWST_DEM_TIER_NAME       VARCHAR2(120) ,
    MEM_TIER_NUM             VARCHAR2(120) ,
    NEXT_ASSESS_DT           DATE          ,
    ORIG_END_DT              TIMESTAMP(6)  ,
    OVERRIDE_DT              DATE          ,
    POINT_TYPE_A_VAL         NUMBER        ,
    POINT_TYPE_B_VAL         NUMBER        ,
    POINT_TYPE_C_VAL         NUMBER        ,
    POINT_TYPE_D_VAL         NUMBER        ,
    POINT_TYPE_E_VAL         NUMBER        ,
    POINT_TYPE_F_VAL         NUMBER        ,
    POINT_TYPE_G_VAL         NUMBER        ,
    POINT_TYPE_H_VAL         NUMBER        ,
    PROCESSED_DT             DATE          ,
    PROCESSING_COMMENT       VARCHAR2(4000),
    PROCESSING_LOG           VARCHAR2(4000),
    PROCESSING_STAT_CODE     VARCHAR2(120) ,
    QUAL_START_DATE          TIMESTAMP(6)  ,
    QUAL_END_DATE            TIMESTAMP(6)  ,
    QUAL_FLAG                VARCHAR2(4)   ,
    SEQ_NUM                  NUMBER(9, 0)  ,
    START_DT                 TIMESTAMP(6)  ,
    SUBMIT_TO_ID             NUMBER(18, 0) ,
    TIER_CLASS_ID            NUMBER(18, 0) ,
    TIER_CLS_NAME            VARCHAR2(120) ,
    TIER_ID                  NUMBER(18, 0) ,
    TIER_NAME                VARCHAR2(120) ,
    TXN_ID                   NUMBER(18, 0) ,
    TXN_NUM                  VARCHAR2(120) ,
    ACTION_NOTE              VARCHAR2(4000),
    FROM_TIER_ID             NUMBER(18, 0) ,
    FROM_TIER_NAME           VARCHAR2(120) ,
    FROM_TIER_START_DATE     DATE          ,
    TIER_CHANGE_TYPE_CODE    VARCHAR2(120) ,
    MEMBER_ID                NUMBER(18, 0) ,
    MEM_NUM                  VARCHAR2(120) ,
    PROGRAM_NAME             VARCHAR2(200) ,
    PROMO_NAME               VARCHAR2(200) ,
    BLKAD_SEQ_NUM            NUMBER        ,
    CONSTRAINT pk_loy_mem_tier_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
